Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ShiftExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.ShiftExprAltContext

-     public static class GroovyParser.ShiftExprAltContext
      extends ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Token` | `dgOp` |
    `Token` | `dlOp` |
    `ExpressionContext` | `left` |
    `Token` | `rangeOp` |
    `ExpressionContext` | `right` |
    `Token` | `tgOp` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ShiftExprAltContext(ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `GT()`
    `` | `public TerminalNode` | `GT(int i)`
    `` | `public List<? extends TerminalNode>` | `LT()`
    `` | `public TerminalNode` | `LT(int i)`
    `` | `public TerminalNode` | `RANGE_EXCLUSIVE_FULL()`
    `` | `public TerminalNode` | `RANGE_EXCLUSIVE_LEFT()`
    `` | `public TerminalNode` | `RANGE_EXCLUSIVE_RIGHT()`
    `` | `public TerminalNode` | `RANGE_INCLUSIVE()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public ExpressionContext` | `expression(int i)`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`

- - ### Field Detail

    - #### public Token dgOp

    - #### public Token dlOp

    - #### public ExpressionContext left

    - #### public Token rangeOp

    - #### public ExpressionContext right

    - #### public Token tgOp

  - ### Constructor Detail

    - #### public ShiftExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public List<? extends TerminalNode> GT()

    - #### public TerminalNode GT(int i)

    - #### public List<? extends TerminalNode> LT()

    - #### public TerminalNode LT(int i)

    - #### public TerminalNode RANGE_EXCLUSIVE_FULL()

    - #### public TerminalNode RANGE_EXCLUSIVE_LEFT()

    - #### public TerminalNode RANGE_EXCLUSIVE_RIGHT()

    - #### public TerminalNode RANGE_INCLUSIVE()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public ExpressionContext expression(int i)

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)